<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb613b24faa932c1_99970944/helpers/date/DateTimeFactory_lb613b24faa932c1_99970944.php';

class TypeOperations_lb613b24faa932c1_99970944
{
    public static function isBlank($value)
    {
        return (!isset($value) || ($value == ''));
    }

    public static function isNumeric($value)
    {
        return is_numeric($value) || empty($value);
    }

    public static function getNumber($number)
    {
        if ($number === 0) {
            return 0;
        } else if (!empty($number)) {
            $number = 0 + $number;
        }
        return $number;
    }

    public static function isString($value)
    {
        return is_string($value);
    }

    public static function isDate($value)
    {
        return ($value instanceof SugarDateTime);
    }

    public static function getDatetime($date)
    {
        if ($date instanceof SugarDateTime) {
            return $date;
        }
        $dateTimeFactory = new DateTimeFactory_lb613b24faa932c1_99970944();
        return $dateTimeFactory->getDateTimeFromUnknownFormat($date);
    }
}
